Tirex::Backend::Test(3pm)

NAME
Tirex::Backend::Test - Test backend for Tirex

DESCRIPTION
This backend creates a checkerboard test pattern for testing the Tirex tile rendering system. It will be called from tirex-backend-manager if you configure it in /etc/tirex/renderer/test.conf.

It has no renderer specific configuration option. There is one renderer specific configuration option for maps called "sleep". It gives the time in seconds the renderer should sleep before notifying the tirex-master to simulate a longer rendering time.

METHODS

  $backend->init()
This method initializes things specific to this backend.

  $backend->check_map_config($map)

  $backend->create_metatile()
Create a metatile.

The metatile will have a checkerboard pattern with the tile numbers and zoom level in each tile and an additional red border around the whole metatile.